# Uses of Class
org.apache.sysds.utils.Statistics.NGramStats

Packages that use Statistics.NGramStats
Package
Description
org.apache.sysds.utils

## Uses of Statistics.NGramStats in org.apache.sysds.utils

Methods in org.apache.sysds.utils that return Statistics.NGramStats
Modifier and Type
Method
Description
`static Statistics.NGramStats`
Statistics.NGramStats.`merge(Statistics.NGramStats stats1, Statistics.NGramStats stats2)`
Methods in org.apache.sysds.utils that return types with arguments of type Statistics.NGramStats
Modifier and Type
Method
Description
`static <T> Comparator<NGramBuilder.NGramEntry<T,Statistics.NGramStats>>`
Statistics.NGramStats.`getComparator()`
`static NGramBuilder<String,Statistics.NGramStats>[]`
Statistics.`mergeNGrams()`
Methods in org.apache.sysds.utils with parameters of type Statistics.NGramStats
Modifier and Type
Method
Description
`static String`
Statistics.`getNGramAvgTimes(Statistics.NGramStats[] stats, int offset, int prec)`
`static String`
Statistics.`getNGramStdDevs(Statistics.NGramStats[] stats, int offset, int prec, boolean displayZero)`
`static Statistics.NGramStats`
Statistics.NGramStats.`merge(Statistics.NGramStats stats1, Statistics.NGramStats stats2)`
Method parameters in org.apache.sysds.utils with type arguments of type Statistics.NGramStats
Modifier and Type
Method
Description
`static String`
Statistics.`getCommonNGrams(NGramBuilder<String,Statistics.NGramStats> builder, int num)`
`static String`
Statistics.`nGramToCSV(NGramBuilder<String,Statistics.NGramStats> mbuilder)`
`static void`
Statistics.`toCSVStream(NGramBuilder<String,Statistics.NGramStats> mbuilder, Consumer<String> lineConsumer)`